org.apache.ignite.internal.processors.cache.version

## Interface CacheVersionConflictResolver

    public interface CacheVersionConflictResolver

Cache version conflict resolver.

### Method Summary

All Methods Instance Methods Abstract Methods
`<K,V> GridCacheVersionConflictContext<K,V>` `resolve(CacheObjectValueContext ctx, GridCacheVersionedEntryEx<K,V> oldEntry, GridCacheVersionedEntryEx<K,V> newEntry, boolean atomicVerComparator)` Resolve the conflict.

### Method Detail

#### resolve

    <K,V> GridCacheVersionConflictContext<K,V> resolve(CacheObjectValueContext ctx,
                                                       GridCacheVersionedEntryEx<K,V> oldEntry,
                                                       GridCacheVersionedEntryEx<K,V> newEntry,
                                                       boolean atomicVerComparator)
                                                throws IgniteCheckedException

Resolve the conflict.

Parameters:
  `oldEntry` - Old entry.
  `newEntry` - New entry.
  `atomicVerComparator` - Whether to use atomic version comparator.
Returns:
  Conflict resolution context.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018